=== archive/Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 CC = gcc
 LD = gcc
 
-EXECS = sgq_dd sg_poll sg_reset sg_bus_xfer sg_hold
+EXECS = sgq_dd sg_poll sg_bus_xfer sg_hold sg_debug isosize
 
-COMMON = 
+COMMON = isosize
 
-MAN_PGS = 
+MAN_PGS = isosize.8
 MAN_PREF = man8
 
 CFLAGS = -g -O2 -Wall -D_REENTRANT
@@ -35,13 +35,16 @@
 sgq_dd: sgq_dd.o ../sg_err.o ../llseek.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_reset: sg_reset.o
-	$(LD) -o $@ $(LDFLAGS) $^
-
 sg_bus_xfer: sg_bus_xfer.o ../sg_err.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 sg_hold: sg_hold.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
+isosize: isosize.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
+sg_debug: sg_debug.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 install: $(EXECS) $(COMMON)
