=== archive/Makefile ===
--- 
+++ 
@@ -6,15 +6,15 @@
 CC = gcc
 LD = gcc
 
-EXECS = sgq_dd sg_poll sg_bus_xfer sg_hold sg_debug isosize
+EXECS = sgq_dd sg_poll sg_bus_xfer sg_hold sg_debug isosize scsi_devfs_scan
 
 COMMON = isosize
 
 MAN_PGS = isosize.8
 MAN_PREF = man8
 
-CFLAGS = -g -O2 -Wall -D_REENTRANT
-# CFLAGS = -g -O2 -Wall -pedantic -D_REENTRANT
+CFLAGS = -g -O2 -W -Wall -D_REENTRANT
+# CFLAGS = -g -O2 -Wall -pedantic -std=c99 -D_REENTRANT
 
 LDFLAGS =
 
@@ -44,6 +44,9 @@
 isosize: isosize.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
+scsi_devfs_scan: scsi_devfs_scan.o ../sg_err.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
 sg_debug: sg_debug.o
 	$(LD) -o $@ $(LDFLAGS) $^
