=== examples/Makefile ===
--- 
+++ 
@@ -8,14 +8,17 @@
 LD = gcc
 
 EXECS = sg_simple1 sg_simple2 sg_simple3 sg_simple4 sg_simple16 \
-	sg_simple_aio sg_iovec_tst scsi_inquiry
+	sg_iovec_tst scsi_inquiry sg_excl sg_sense_test
+
+# EXECS = sg_simple1 sg_simple2 sg_simple3 sg_simple4 sg_simple16 \
+# 	  sg_simple_aio sg_iovec_tst scsi_inquiry sg_excl
 
 MAN_PGS = 
 MAN_PREF = man8
 
 LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 
-CFLAGS = -g -O2 -Wall -D_REENTRANT $(LARGE_FILE_FLAGS)
+CFLAGS = -g -O2 -W -Wall -D_REENTRANT $(LARGE_FILE_FLAGS)
 # CFLAGS = -g -O2 -Wall -D_REENTRANT -DSG_KERNEL_INCLUDES $(LARGE_FILE_FLAGS)
 # CFLAGS = -g -O2 -Wall -pedantic -D_REENTRANT $(LARGE_FILE_FLAGS)
 
@@ -54,6 +57,12 @@
 scsi_inquiry: scsi_inquiry.o
 	$(LD) -o $@ $(LDFLAGS) $^ 
 
+sg_excl: sg_excl.o ../sg_err.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
+sg_sense_test: sg_sense_test.o ../sg_err.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
 install: $(EXECS)
 	install -d $(INSTDIR)
 	for name in $^; \
