=== examples/Makefile ===
--- 
+++ 
@@ -33,34 +33,34 @@
 clean:
 	/bin/rm -f *.o $(EXECS) core .depend
 
-sg_simple1: sg_simple1.o ../sg_err.o
+sg_simple1: sg_simple1.o ../sg_lib.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 sg_simple2: sg_simple2.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_simple3: sg_simple3.o ../sg_err.o
+sg_simple3: sg_simple3.o ../sg_lib.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_simple4: sg_simple4.o ../sg_err.o
+sg_simple4: sg_simple4.o ../sg_lib.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_simple16: sg_simple16.o ../sg_err.o
+sg_simple16: sg_simple16.o ../sg_lib.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_simple_aio: sg_simple_aio.o ../sg_err.o
+sg_simple_aio: sg_simple_aio.o ../sg_lib.o
 	$(LD) -o $@ $(LDFLAGS) $^ -l aio
 
-sg_iovec_tst: sg_iovec_tst.o ../sg_err.o
+sg_iovec_tst: sg_iovec_tst.o ../sg_lib.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 scsi_inquiry: scsi_inquiry.o
 	$(LD) -o $@ $(LDFLAGS) $^ 
 
-sg_excl: sg_excl.o ../sg_err.o
+sg_excl: sg_excl.o ../sg_lib.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_sense_test: sg_sense_test.o ../sg_err.o
+sg_sense_test: sg_sense_test.o ../sg_lib.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 install: $(EXECS)
