## sg3-utils 1.21

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
  	sg_persist sg_write_long sg_read_long sg_requests sg_ses \
 	sg_verify sg_emc_trespass sg_luns sg_sync sg_prevent \
 	sg_get_config sg_wr_mode sg_rtpg sg_reassign sg_format \
-	sg_rmsn sg_ident
+	sg_rmsn sg_ident sg_map26 sg_rdac sg_vpd
 
 MAN_PGS = sg_dd.8 sgp_dd.8 sgm_dd.8 sg_read.8 sg_map.8 sg_scan.8 sg_rbuf.8 \
 	sginfo.8 sg_readcap.8 sg_turs.8 sg_inq.8 sg_test_rwbuf.8 \
@@ -23,18 +23,19 @@
 	sg_opcodes.8 sg_persist.8 sg_write_long.8 sg_read_long.8 \
 	sg_requests.8 sg_ses.8 sg_verify.8 sg_emc_trespass.8 \
 	sg_luns.8 sg_sync.8 sg_prevent.8 sg_get_config.8 sg_wr_mode.8 \
-	sg_rtpg.8 sg_reassign.8 sg_format.8 sg_rmsn.8 sg_ident.8
+	sg_rtpg.8 sg_reassign.8 sg_format.8 sg_rmsn.8 sg_ident.8 \
+	sg_map26.8 sg_rdac.8 sg_vpd.8 sg3_utils.8
 MAN_PREF = man8
 
-HEADERS = sg_lib.h sg_cmds.h
-
-
+HEADERS = sg_lib.h sg_cmds.h sg_pt.h sg_io_linux.h sg_linux_inc.h
+
+OS_FLAGS = -DSG3_UTILS_LINUX
 LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
-
-# CFLAGS = -O2 -Wall -W $(LARGE_FILE_FLAGS)
-CFLAGS = -g -O2 -Wall -W $(LARGE_FILE_FLAGS)
-# CFLAGS = -g -O2 -W -DSG_KERNEL_INCLUDES $(LARGE_FILE_FLAGS)
-# CFLAGS = -g -O2 -Wall -W -pedantic -std=c99 $(LARGE_FILE_FLAGS)
+S_CFLAGS = $(OS_FLAGS) $(LARGE_FILE_FLAGS)
+
+# CFLAGS = -O2 -Wall -W
+CFLAGS = -g -O2 -Wall -W
+# CFLAGS = -g -O2 -Wall -W -pedantic -std=c99
 
 CFLAGS_PTHREADS = -D_REENTRANT
 
@@ -48,7 +49,7 @@
 all: $(EXECS)
 
 depend dep:
-	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
+	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) $(S_CFLAGS) -M $$i; \
 	done > .depend
 
 clean:
@@ -56,15 +57,21 @@
 	/bin/rm -rf .libs
 
 
+.c.o:
+	$(CC) $(INCLUDES) $(CFLAGS) $(S_CFLAGS) -c -o $@ $<
+
 sg_lib.lo: sg_lib.o
 	libtool --mode=compile $(CC) -c sg_lib.c
 
 sg_cmds.lo: sg_cmds.o
 	libtool --mode=compile $(CC) -c sg_cmds.c
 
-libsgutils.la: sg_lib.lo sg_cmds.lo
+sg_pt_linux.lo: sg_pt_linux.o
+	libtool --mode=compile $(CC) -c sg_pt_linux.c
+
+libsgutils.la: sg_lib.lo sg_cmds.lo sg_pt_linux.lo
 	libtool --mode=link $(LD) -o libsgutils.la sg_lib.lo sg_cmds.lo \
-	-rpath $(LIBDIR) -version-info $(LIB_VINFO)
+	sg_pt_linux.lo -rpath $(LIBDIR) -version-info $(LIB_VINFO)
 
 # libsgutils.la: sg_lib.lo sg_cmds.lo
 #	libtool --mode=link $(LD) -o libsgutils.la sg_lib.lo sg_cmds.lo \
@@ -73,43 +80,44 @@
 sg_inq: sg_inq.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^ 
 
-sg_dd: sg_dd.o llseek.o libsgutils.la
-	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
-
-sg_scan: sg_scan.o libsgutils.la
+sg_dd: sg_dd.o llseek.o sg_io_linux.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_scan: sg_scan.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^ 
 
-sginfo: sginfo.o libsgutils.la
+sginfo: sginfo.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_start: sg_start.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^ 
 
-sg_rbuf: sg_rbuf.o libsgutils.la
+sg_rbuf: sg_rbuf.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_readcap: sg_readcap.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sgp_dd.o: sgp_dd.c
-	$(CC) $(INCLUDES) $(CFLAGS) $(CFLAGS_PTHREADS) -c $<
-
-sgp_dd: sgp_dd.o llseek.o libsgutils.la
+	$(CC) $(INCLUDES) $(CFLAGS) $(S_CFLAGS) $(CFLAGS_PTHREADS) \
+	-c -o sgp_dd.o $<
+
+sgp_dd: sgp_dd.o llseek.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^ -lpthread
 
-sgm_dd: sgm_dd.o llseek.o libsgutils.la
-	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
-
-sg_map: sg_map.o libsgutils.la
+sgm_dd: sgm_dd.o llseek.o sg_io_linux.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_map: sg_map.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_turs: sg_turs.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
-sg_test_rwbuf: sg_test_rwbuf.o libsgutils.la
-	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
-
-sg_read: sg_read.o llseek.o libsgutils.la
+sg_test_rwbuf: sg_test_rwbuf.o sg_io_linux.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_read: sg_read.o llseek.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_reset: sg_reset.o
@@ -124,7 +132,7 @@
 sg_senddiag: sg_senddiag.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
-sg_opcodes: sg_opcodes.o libsgutils.la
+sg_opcodes: sg_opcodes.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_persist: sg_persist.o libsgutils.la
@@ -177,11 +185,22 @@
 
 sg_ident: sg_ident.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_map26: sg_map26.o
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_rdac: sg_rdac.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_vpd: sg_vpd.o sg_vpd_vendor.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
 
 install: $(EXECS)
 	install -d $(INSTDIR)
 	install -d $(LIBDIR)
 	libtool --mode=install install -c libsgutils.la $(LIBDIR)/libsgutils.la
+	libtool --finish $(LIBDIR)
 	for name in $^; \
 	 do libtool --mode=install install -m 755 \
 		$$name $(INSTDIR); \
