=== examples/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 LD = gcc
 
 EXECS = sg_simple1 sg_simple2 sg_simple3 sg_simple4 sg_simple16 \
-	sg_iovec_tst scsi_inquiry sg_excl sg_sense_test
+	sg_iovec_tst scsi_inquiry sg_excl sg_sense_test sg_simple5 \
+	sg_sat_identify sg_sat_chk_power sg_sat_smart_rd_data
 
 # EXECS = sg_simple1 sg_simple2 sg_simple3 sg_simple4 sg_simple16 \
 # 	  sg_simple_aio sg_iovec_tst scsi_inquiry sg_excl
@@ -33,34 +34,46 @@
 clean:
 	/bin/rm -f *.o $(EXECS) core .depend
 
-sg_simple1: sg_simple1.o ../sg_lib.o
+sg_simple1: sg_simple1.o ../sg_lib.o ../sg_io_linux.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 sg_simple2: sg_simple2.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_simple3: sg_simple3.o ../sg_lib.o
+sg_simple3: sg_simple3.o ../sg_lib.o ../sg_io_linux.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_simple4: sg_simple4.o ../sg_lib.o
+sg_simple4: sg_simple4.o ../sg_lib.o ../sg_io_linux.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_simple16: sg_simple16.o ../sg_lib.o
+sg_simple16: sg_simple16.o ../sg_lib.o ../sg_io_linux.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_simple_aio: sg_simple_aio.o ../sg_lib.o
+sg_simple_aio: sg_simple_aio.o ../sg_lib.o ../sg_io_linux.o
 	$(LD) -o $@ $(LDFLAGS) $^ -l aio
 
-sg_iovec_tst: sg_iovec_tst.o ../sg_lib.o
+sg_iovec_tst: sg_iovec_tst.o ../sg_lib.o ../sg_io_linux.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 scsi_inquiry: scsi_inquiry.o
 	$(LD) -o $@ $(LDFLAGS) $^ 
 
-sg_excl: sg_excl.o ../sg_lib.o
+sg_excl: sg_excl.o ../sg_lib.o ../sg_io_linux.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
-sg_sense_test: sg_sense_test.o ../sg_lib.o
+sg_sense_test: sg_sense_test.o ../sg_lib.o ../sg_io_linux.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
+sg_simple5: sg_simple5.o ../sg_lib.o ../sg_pt_linux.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
+sg_sat_identify: sg_sat_identify.o ../sg_lib.o ../sg_io_linux.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
+sg_sat_chk_power: sg_sat_chk_power.o ../sg_lib.o ../sg_io_linux.o
+	$(LD) -o $@ $(LDFLAGS) $^
+
+sg_sat_smart_rd_data: sg_sat_smart_rd_data.o ../sg_lib.o ../sg_io_linux.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 install: $(EXECS)
