## sg3-utils 1.24

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,8 @@
  	sg_persist sg_write_long sg_read_long sg_requests sg_ses \
 	sg_verify sg_emc_trespass sg_luns sg_sync sg_prevent \
 	sg_get_config sg_wr_mode sg_rtpg sg_reassign sg_format \
-	sg_rmsn sg_ident sg_map26 sg_rdac sg_vpd
+	sg_rmsn sg_ident sg_map26 sg_rdac sg_vpd sg_sat_identify \
+	sg_read_buffer sg_write_buffer sg_raw
 
 MAN_PGS = sg_dd.8 sgp_dd.8 sgm_dd.8 sg_read.8 sg_map.8 sg_scan.8 sg_rbuf.8 \
 	sginfo.8 sg_readcap.8 sg_turs.8 sg_inq.8 sg_test_rwbuf.8 \
@@ -24,10 +25,12 @@
 	sg_requests.8 sg_ses.8 sg_verify.8 sg_emc_trespass.8 \
 	sg_luns.8 sg_sync.8 sg_prevent.8 sg_get_config.8 sg_wr_mode.8 \
 	sg_rtpg.8 sg_reassign.8 sg_format.8 sg_rmsn.8 sg_ident.8 \
-	sg_map26.8 sg_rdac.8 sg_vpd.8 sg3_utils.8
+	sg_map26.8 sg_rdac.8 sg_vpd.8 sg3_utils.8 sg_sat_identify.8 \
+	sg_read_buffer.8 sg_write_buffer.8 sg_raw.8
 MAN_PREF = man8
 
-HEADERS = sg_lib.h sg_cmds.h sg_pt.h sg_io_linux.h sg_linux_inc.h
+HEADERS = sg_lib.h sg_cmds.h sg_cmds_basic.h sg_cmds_extra.h sg_pt.h \
+	sg_io_linux.h sg_linux_inc.h
 
 OS_FLAGS = -DSG3_UTILS_LINUX
 LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
@@ -63,24 +66,28 @@
 sg_lib.lo: sg_lib.o
 	libtool --mode=compile $(CC) -c sg_lib.c
 
-sg_cmds.lo: sg_cmds.o
-	libtool --mode=compile $(CC) -c sg_cmds.c
+sg_cmds_basic.lo: sg_cmds_basic.o
+	libtool --mode=compile $(CC) -c sg_cmds_basic.c
+
+sg_cmds_extra.lo: sg_cmds_extra.o
+	libtool --mode=compile $(CC) -c sg_cmds_extra.c
 
 sg_pt_linux.lo: sg_pt_linux.o
 	libtool --mode=compile $(CC) -c sg_pt_linux.c
 
-libsgutils.la: sg_lib.lo sg_cmds.lo sg_pt_linux.lo
-	libtool --mode=link $(LD) -o libsgutils.la sg_lib.lo sg_cmds.lo \
-	sg_pt_linux.lo -rpath $(LIBDIR) -version-info $(LIB_VINFO)
-
-# libsgutils.la: sg_lib.lo sg_cmds.lo
-#	libtool --mode=link $(LD) -o libsgutils.la sg_lib.lo sg_cmds.lo \
-#	-rpath $(LIBDIR) -release $(RELEASE)
+libsgutils.la: sg_lib.lo sg_cmds_basic.lo sg_cmds_extra.lo sg_pt_linux.lo
+	libtool --mode=link $(LD) -o libsgutils.la sg_lib.lo sg_cmds_basic.lo \
+	sg_cmds_extra.lo sg_pt_linux.lo -rpath $(LIBDIR) \
+	-version-info $(LIB_VINFO)
+
+# libsgutils.la: sg_lib.lo sg_cmds_basic.lo sg_cmds_extra.lo
+#	libtool --mode=link $(LD) -o libsgutils.la sg_lib.lo sg_cmds_basic.lo \
+#	sg_cmds_extra.lo -rpath $(LIBDIR) -release $(RELEASE)
 
 sg_inq: sg_inq.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^ 
 
-sg_dd: sg_dd.o llseek.o sg_io_linux.o libsgutils.la
+sg_dd: sg_dd.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_scan: sg_scan.o sg_io_linux.o libsgutils.la
@@ -102,10 +109,10 @@
 	$(CC) $(INCLUDES) $(CFLAGS) $(S_CFLAGS) $(CFLAGS_PTHREADS) \
 	-c -o sgp_dd.o $<
 
-sgp_dd: sgp_dd.o llseek.o sg_io_linux.o libsgutils.la
+sgp_dd: sgp_dd.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^ -lpthread
 
-sgm_dd: sgm_dd.o llseek.o sg_io_linux.o libsgutils.la
+sgm_dd: sgm_dd.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_map: sg_map.o sg_io_linux.o libsgutils.la
@@ -117,7 +124,7 @@
 sg_test_rwbuf: sg_test_rwbuf.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
-sg_read: sg_read.o llseek.o sg_io_linux.o libsgutils.la
+sg_read: sg_read.o sg_io_linux.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_reset: sg_reset.o
@@ -132,7 +139,7 @@
 sg_senddiag: sg_senddiag.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
-sg_opcodes: sg_opcodes.o sg_io_linux.o libsgutils.la
+sg_opcodes: sg_opcodes.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_persist: sg_persist.o libsgutils.la
@@ -193,6 +200,18 @@
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
 
 sg_vpd: sg_vpd.o sg_vpd_vendor.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_sat_identify: sg_sat_identify.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_read_buffer: sg_read_buffer.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_write_buffer: sg_write_buffer.o libsgutils.la
+	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
+
+sg_raw: sg_raw.o libsgutils.la
 	libtool --mode=link $(LD) -o $@ $(LDFLAGS) $^
