## sg3-utils 1.29

=== debian/changelog ===
sg3-utils (1.29-1) unstable; urgency=low

  [Ritesh Raj Sarraf]
  * Adopt package as the new maintainer (Closes: #540828) 
  * New upstream release
    + Drop patches, merged upstream
      - 01_am_maintainer_mode.patch
      - 02_kfreebsd.patch
      - 99_autoreconf.patch
    + Add new patches
      - 001_man_page_fixes.patch
      - 002_spelling_error_fixes.patch
  * Update symbol list for new symbols introduced in this release 
  * Add ${misc:Depends} to make in lintian clean 
  * Add "source/format" and specify the current source format 
  * Update Standards Version to 3.8.4 (No changes required) 
  * Add Vcs headers 
  * Add DMUA Flag 
  * Explain about tarball re-packing in README.source

  [Jonathan McDowell]
  * Add myself to Uploaders.
  * Move to source format 3.0 (quilt).

 -- Jonathan McDowell <noodles@earth.li>  Wed, 21 Apr 2010 20:22:32 +0100

sg3-utils (1.28-2) unstable; urgency=low

  * QA upload.
  * Add libsgutils2-2.symbols.kfreebsd. Some of the symbols are Linux
    specific causing FTBFS on kfreebsd.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Nov 2009 20:42:13 +0100

sg3-utils (1.28-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Typo fixes in sg_ident.8 man page. (Closes: #525269)
    - README has been updated for new homepage URL. (Closes: #527904)
  * Add watch file to track new upstream releases.
  * Add symbols file for libsgutils2-2 for improved shlibs dependencies.
  * Cleanup debian/rules
    - Use DH_OPTIONS=-a for binary-arch so we don't have to add -a to each
      debhelper command.
    - Drop -V from dh_makeshlibs as we use a symbols file now.
    - Drop -l and -L parameter from dh_shlibdeps, no longer necessary.
    - Don't copy scripts/sas* as those scripts have been removed upstream.
    - Use dh_prep instead of previous dh_clean -k. (Closes: #541734)
  * Update debian/patches/02_kfreebsd.patch to apply cleanly.
  * Regenerate debian/patches/99_autoreconf.patch in an etch environment to
    keep the patch as small as possible.
  * Bump Standards-Version to 3.8.3. No further changes.
  * Update homepage URL in debian/copyright and add a Homepage: field to
    debian/control. (Closes: #545300)

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Oct 2009 01:43:43 +0100

sg3-utils (1.27-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Don't ignore errors on make clean. 
  * Use quilt as a patch system.
  * Enable AM_MAINTAINER_MODE.
  * Add patch by Petr Salinger to fix FTBFS on GNU/kFreeBSD (closes: 
    #542748).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Aug 2009 17:35:35 +0200

sg3-utils (1.27-0.1) unstable; urgency=low

  [ Martin Pitt ]
  * Non-maintainer upload; this package blocks DeviceKit, and maintainer is
    apparently not active any more. Also clean up and modernize the package
    somewhat while we are at it.
  * New upstream release (required for current devicekit-disks).
    (Closes: #532546). Upstream original tarball repacked to not contain
    debian/ directory.
  * Rename libsgutils1{,-dev} to libsgutils2-2{,-dev}, upstream bumped SONAME.
    Also call the library libgsutils2-2 to match SONAME. Add
    Conflicts/Replaces for "libsgutils2" to provide a clean upgrade from the
    packages as provided by Upstream and Ubuntu.
  * debian/rules: Update build rules for upstream Makefile → autotools switch.
  * debian/rules: Fix cleaning a clean source package.
  * Demote Recommends to Suggests; the library doesn't actually call the
    binaries in sg3-utils. (Closes: #532547)
  * Drop debian/*.dirs, unnecessary with dh_install.
  * Drop sg3-utils.preinst, not necessary to deal with kernel 2.4 any more.
  * Drop libsgutils2-0.install, libsgutils2-0-dev.install, these packages
    don't exist.
  * Drop libsgutils2.post{inst,rm}: Basically empty, debhelper will create its
    own.
  * libsgutils2-dev.install: Drop *.lo.
  * debian/compat: 4 -> 7. Bump debhelper build-depends accordingly.
  * debian/control: Bump Standards-Version to 3.8.2.
  * debian/control: Modernize package description for Linux 2.6.
    (Closes: #506578)
  * debian/rules: Drop -k argument from dh_clean (thanks lintian).

  [ Frank Lichtenheld ]
  * debian/control, debian/rules: Add dependency of libsgutils-dev on
    libcam-dev on kfreebsd-*. (Closes: #519460)

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Jun 2009 12:04:20 +0200

sg3-utils (1.24-2) unstable; urgency=low

  * Cleaned up package description (Closes: #445920).
  * Don't make libtool think rpath is necessary (Closes: #451153)
  * Capitalized Linux in extended description (Closes: #457526).
  * Completed sentence in libsgutils1 long description (Closes: #421391).
  * Added patch from Aurelian Jarno to build on kfreebsd-* (Closes: #455430).
  * Symlinks in examples directory cleaned up (Closes: #372610).

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Sun, 30 Dec 2007 11:52:58 -0700

sg3-utils (1.24-1) unstable; urgency=low

  * New upstream release
  * Conflicts with upstream libsgutils package libsgutils-1-0 (closes: #391077)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Tue,  5 Jun 2007 17:04:21 -0600

sg3-utils (1.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to old syscall usage (Closes: #395512).

 -- Luk Claes <luk@debian.org>  Sun,  5 Nov 2006 17:23:29 +0100

sg3-utils (1.21-2) unstable; urgency=low

  * Added Depends on libsgutils1 to libsgutils1-dev (closes: #387798)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Fri, 22 Sep 2006 00:20:28 -0600

sg3-utils (1.21-1) unstable; urgency=low

  * New upstream release

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 13 Sep 2006 21:54:30 -0600

sg3-utils (1.20-1) unstable; urgency=low

  * New upstream release

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 26 Apr 2006 22:31:15 -0600

sg3-utils (1.17-3) unstable; urgency=low

  * Cleaned up sg_read(8) manpage (Closes: #294521)


