## sg3-utils 1.30

=== debian/changelog ===
sg3-utils (1.30-1) unstable; urgency=low

  * New Upstream Release
  * Change address to my official Debian address and remove the DMUA flag 
  * Add a get-orig-source target 
  * Dropping patches that have merged upstream
    - 001_man_page_fixes.patch
    - 002_spelling_error_fixes.patch 
  * Update Standards Version to 3.9.1
    - Add BSD license to the copyright section 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 11 Feb 2011 01:22:58 +0530
